: Class Field

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel.reflect
Class Field

    java.lang.Object
      |
      +--gnu.jel.reflect.LocalField
            |
            +--gnu.jel.reflect.Field

All Implemented Interfaces:
  java.lang.reflect.Member, Member

public class Field
extends LocalField

Represents a field of already compiled class.

Fields inherited from class gnu.jel.reflect.LocalField
`modifiers`

Fields inherited from interface java.lang.reflect.Member
`DECLARED, PUBLIC`

Constructor Summary
`Field(java.lang.reflect.Field f)` Constructs a new field object.

Method Summary
`java.lang.Object` | `eval(java.lang.Object obj, java.lang.Object[] params)` Evaluates the member.
`java.lang.Class` | `getDeclaringClass()`

Methods inherited from class gnu.jel.reflect.LocalField
`code, equals, getModifiers, getName, getParameterTypes, getType, getTypeID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Field

    public Field(java.lang.reflect.Field f)

  Constructs a new field object.
  Parameters:
    `f` - is corresponding `java.lang.reflect.Field` object.

Method Detail

### getDeclaringClass

    public java.lang.Class getDeclaringClass()

  Overrides:
    `getDeclaringClass` in class `LocalField`

### eval

    public java.lang.Object eval(java.lang.Object obj,
                                 java.lang.Object[] params)
                          throws java.lang.Exception

  Description copied from interface: `Member`
  Evaluates the member.

  Looks up the value of the field or calls the method.

  Not all members can be evaluated, for example non static final local fields can not since they exist only in compiler's memory.

  Overrides:
    `eval` in class `LocalField`
  Following copied from interface: `gnu.jel.reflect.Member`
  Parameters:
    `obj` - this pointer of corresponding object.
    `params` - array of parameters wrapped in reflection objects.
  Returns:
    the result wrapped in a reflection object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD